aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/compile_dmm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/compile_dmm.sh')
-rw-r--r--[-rwxr-xr-x]scripts/compile_dmm.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/compile_dmm.sh b/scripts/compile_dmm.sh
index b4bc455..c378bae 100755..100644
--- a/scripts/compile_dmm.sh
+++ b/scripts/compile_dmm.sh
@@ -22,8 +22,20 @@ fi
if [ "$OS_ID" == "centos" ]; then
make pkg-rpm
+ if [ $? -eq 0 ]; then
+ echo "DMM rpm build is SUCCESS"
+ else
+ echo "DMM rpm build has FAILED"
+ exit 1
+ fi
elif [ "$OS_ID" == "ubuntu" ]; then
make pkg-deb
+ if [ $? -eq 0 ]; then
+ echo "DMM deb build is SUCCESS"
+ else
+ echo "DMM deb build has FAILED"
+ exit 1
+ fi
fi
echo "DMM build has FINISHED"